Skills
Retrieve a skill
Retrieves the specified skill and its current configuration.
Paramètres de chemin d’accès
name
string
obligatoire
The unique name of the skill.
Paramètres d’en-tête
Foundry-Features
enum
obligatoire
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Réponses
The request has succeeded.
Corps
id
string
obligatoire
The unique identifier of the skill.
name
string
obligatoire
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
obligatoire
A human-readable description of the skill.
default_version
string
obligatoire
The default version for the skill. Can be changed via updateSkill.
latest_version
string
obligatoire
The latest version for the skill.
Requête
GET /skills/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json